Board index » kylix » Kylix 3 on Suse 9.3

Kylix 3 on Suse 9.3


2005-06-16 12:44:04 PM
kylix1
Hi all,
I've installed Kylix 3 on a new Suse 9.3 system. Added the line to
startdelphi (export LD_ASSUME_KERNEL=2.4.1). When I run startdelphi, I get
relocation error: ...../libwine.borland.so symbol errno, version GLIBC_2.0
not defined in file libc.so.6 with link time reference.
I have no file "libc.so.6". Is this supposed to be a symbolic link
somewhere?
Cheers,
Randy Hyde
 
 

Re:Kylix 3 on Suse 9.3

Randall Hyde schrubte am Donnerstag, 16. Juni 2005 04:44:
Quote
Hi all,
I've installed Kylix 3 on a new Suse 9.3 system. Added the line to
startdelphi (export LD_ASSUME_KERNEL=2.4.1). When I run startdelphi, I get

relocation error: ...../libwine.borland.so symbol errno, version
GLIBC_2.0 not defined in file libc.so.6 with link time reference.

I have no file "libc.so.6". Is this supposed to be a symbolic link
somewhere?
Cheers,
Randy Hyde
This seems to be a bug, which comes only with kernels higher than 2.6.9. At
least i didnt found a workaround for this anywhere at the moment. I went
back to SuSE 9.2.
I think for the people who are searching for delphi on linux it is really
time to look seriously at freepascal. Things will not going better with
kylix in the future.
regards, Jens
--
Die oben angegebene Adresse ist OK, wird aber nicht gelesen. Wenn direkter
Mailkontakt gewŁnscht wird, bitte spamtrap gegen jens<punkt>nixdorf
austauschen. Danke.
 

Re:Kylix 3 on Suse 9.3

"Jens Nixdorf" < XXXX@XXXXX.COM >wrote in message
Quote

This seems to be a bug, which comes only with kernels higher than 2.6.9.
At
least i didnt found a workaround for this anywhere at the moment. I went
back to SuSE 9.2.
Well, it's booting now (okay, I had the export at the wrong point in
startdelphi). I've still got to get the font bug fixed. Then we'll see what
happens.
Quote

I think for the people who are searching for delphi on linux it is really
time to look seriously at freepascal. Things will not going better with
kylix in the future.
Ultimately, you're probably right. I'm amazed that there has been no update
of this product since 2002. Alas, I need good forms creation and RAD GUI
development right away. If I have to find a copy of Suse 9.2 to make it
work, that's a better option. We'll see what happens after I load the fonts.
Cheers,
Randy Hyde
 

{smallsort}

Re:Kylix 3 on Suse 9.3

Randall Hyde schrubte am Freitag, 17. Juni 2005 04:06:
Quote
Ultimately, you're probably right. I'm amazed that there has been no
update of this product since 2002. Alas, I need good forms creation and
RAD GUI development right away. If I have to find a copy of Suse 9.2 to
make it work, that's a better option. We'll see what happens after I load
the fonts. Cheers,
Randy Hyde
You can download a DVD-Iso of SuSE 9.2 from
ftp.suse.com/pub/suse/i386/9.2/iso
regards, Jens
--
Die oben angegebene Adresse ist OK, wird aber nicht gelesen. Wenn direkter
Mailkontakt gewŁnscht wird, bitte spamtrap gegen jens<punkt>nixdorf
austauschen. Danke.
 

Re:Kylix 3 on Suse 9.3

"Jens Nixdorf" < XXXX@XXXXX.COM >wrote in message
Quote
Randall Hyde schrubte am Freitag, 17. Juni 2005 04:06:

>Ultimately, you're probably right. I'm amazed that there has been no
>update of this product since 2002. Alas, I need good forms creation and
>RAD GUI development right away. If I have to find a copy of Suse 9.2 to
>make it work, that's a better option. We'll see what happens after I
load
>the fonts. Cheers,
>Randy Hyde

You can download a DVD-Iso of SuSE 9.2 from
ftp.suse.com/pub/suse/i386/9.2/iso
Interesting. That's exactly what I started a half an hour ago.
I "kind of" got Kylix up, but I never could get the dialog boxes and text to
display properly all the time (indeed, most of the time they were completely
blank). Though I've been using various versions of Linux for a decade now,
and haven't had more than the usual number of problems installing software,
this is the first time I've encountered a problem that made me understand
the complaints people have about the proliferation of Linux distros and the
fact that Linux isn't quite ready for the average person yet. No doubt, a
large part of the problem falls in Borland's lap, but I can *still* install
most win98 programs on WinXP without any problems whatsoever. Maybe Kylix is
a special case, I don't know. But this is not encouraging to me.
Unfortunately, I need to use Delphi for the current project. I'll probably
be switching back to Windows if the Suse 9.2 distro doesn't do the job.
Cheers,
Randy Hyde
 

Re:Kylix 3 on Suse 9.3

On Sat, 18 Jun 2005 09:52:46 -0700, "Randall Hyde"
< XXXX@XXXXX.COM >wrote:
Quote

"Jens Nixdorf" < XXXX@XXXXX.COM >wrote in message
news: XXXX@XXXXX.COM ...
>Randall Hyde schrubte am Freitag, 17. Juni 2005 04:06:
>
>>Ultimately, you're probably right. I'm amazed that there has been no
>>update of this product since 2002. Alas, I need good forms creation and
>>RAD GUI development right away. If I have to find a copy of Suse 9.2 to
>>make it work, that's a better option. We'll see what happens after I
load
>>the fonts. Cheers,
>>Randy Hyde
>
>You can download a DVD-Iso of SuSE 9.2 from
>ftp.suse.com/pub/suse/i386/9.2/iso

Interesting. That's exactly what I started a half an hour ago.
I "kind of" got Kylix up, but I never could get the dialog boxes and text to
display properly all the time (indeed, most of the time they were completely
blank). Though I've been using various versions of Linux for a decade now,
and haven't had more than the usual number of problems installing software,
this is the first time I've encountered a problem that made me understand
the complaints people have about the proliferation of Linux distros and the
fact that Linux isn't quite ready for the average person yet. No doubt, a
large part of the problem falls in Borland's lap, but I can *still* install
most win98 programs on WinXP without any problems whatsoever. Maybe Kylix is
a special case, I don't know. But this is not encouraging to me.

Unfortunately, I need to use Delphi for the current project. I'll probably
be switching back to Windows if the Suse 9.2 distro doesn't do the job.
Cheers,
Randy Hyde
Find the StartDelphi script in the 'shortcuts' directory
Add the following line :
export LD_ASSUME_KERNEL=2.4.1
and save. It should then start. How well it works, that's
another issue. Mine is crashy. I've seen various suggestions
about the ideal kernal version number - from 2.4.0 on up
a ways. Apparently the WineServer that comes with Kylix is
quite old and gets confused if the kernal version is too
high.
This is all too bad - the Borland development interface is
very nice, slick and full-featured - unlike many packages
for native linux. Maybe if more people had paid MONEY for
the pro version ... ?